Menu
Reply
zeefour
  • 94
  • 0
  • 30
Up to speed
897 Views
Message 1 of 5
Flag for a moderator

TVGo and Firefox update message

Hi, my dad's Mac is unable to use Tv Go at the moment, with an error advising he updates his browser to the latest version' (as per image below). He's running MacOS 10.11.6 (out of date yes but seems within the minimum spec). He's using the very latest version of Firefox for his OS (version 78.x) but it isn't working. Is this a simple case of him needing to upgrade his OS? It works on Safari fine.

EDIT - Having looked, the minimum spec for the latest versions of Firefox is OS 10.12 so his OS is out of date for the latest version, so Firefox is keeping him on an old version of Firefox, so this looks to be the issue

Screen Shot 2021-05-31 at 15.24.05.png

0 Kudos
Reply
David_Bn
  • 7.13K
  • 310
  • 586
Forum Team
Forum Team
833 Views
Message 2 of 5
Flag for a moderator

Re: TVGo and Firefox update message

Thanks for your post zeefour,

 

If you can ensure that the browser and software is running the latest versions to see if this will allow your Father to watch the services on Firefox, that would be appreciated

 

Kindest regards,

 

David_Bn

0 Kudos
Reply
CramB
  • 9
  • 1
  • 3
Tuning in
726 Views
Message 3 of 5
Flag for a moderator

Re: TVGo and Firefox update message

I'm having the same proble too, browser is up to date

same problem tooScreen Shot 2021-06-10 at 12.18.01.pngScreen Shot 2021-06-10 at 12.31.42.png

0 Kudos
Reply
Laurie_C
  • 978
  • 29
  • 91
Forum Team (Retired)
Forum Team (Retired)
720 Views
Message 4 of 5
Flag for a moderator

Re: TVGo and Firefox update message

Hi CramB,

 

Thanks for your post, and welcome to the Community Forum! I'm sorry that you are also having this issue.

 

Could you please confirm if you are able to access your TVGO account on a different browser? This will help us to confirm that this is an issue that is specific to Firefox.


Kind regards,

Laurie

Laurie_C
Forum Team
0 Kudos
Reply
zeefour
  • 94
  • 0
  • 30
Up to speed
689 Views
Message 5 of 5
Flag for a moderator

Re: TVGo and Firefox update message

This is what I’ve read online..

The issue is that older versions of MacOS don’t work with the latest versions of Firefox. Firefox has two main ways of updating the browser. For compatible computers (eg running latest OS) you get regular updates. The ‘esr update channel’ is usually for enterprise that doesn’t want regular updates so gives periodic updates that are stable. It seems that you can get put on this way of doing things when you are running an older OS, meaning you won’t get the latest versions of Firefox as they don’t work with your OS. This then means that you get this update message and can’t use TvGo via Firefox (unless you update your MacOS). The good news is that Safari does work with TvGo, even on some older versions of MacOS.

If your OS is compatible with the latest versions of Firefox and you’re still getting the ‘update’ message, it means you’ve accidentally downloaded the ‘esr’ way of updating Firefox. You can change this to the ‘regular’ Firefox (which gives the updates needed for TvGo to work) by googling online instructions (backing up your Firefox settings then deleting Firefox, then installing the regular version of Firefox, then updating that with your saved backup settings).

0 Kudos
Reply